Skip to main content
GET
/
app.rocksky.feed.getRecommendations
Get personalised track recommendations for a user
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.feed.getRecommendations \
  --header 'Authorization: Bearer <token>'
{
  "recommendations": [
    {
      "title": "<string>",
      "artist": "<string>",
      "album": "<string>",
      "albumArt": "<string>",
      "trackUri": "<string>",
      "artistUri": "<string>",
      "albumUri": "<string>",
      "genres": [
        "<string>"
      ],
      "recommendationScore": 123,
      "source": "<string>",
      "likesCount": 123
    }
  ],
  "cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

did
string
required

DID or handle of the user to recommend for.

limit
integer
Required range: 1 <= x <= 100

Response

OK

recommendations
object[]
cursor
string